Subject: Re: [PATCH] urlmatch: do not allow passwords in URLs by default

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 May 2021 12:38:21 +0900

Christian Couder <[email-masked]> writes:

> Another helpful thing to do might be to add --user and maybe
> --password options to some commands like 'clone', 'fetch', 'remote
> add', etc.

Why?

We cannot get rid of <scheme>://<user>:<pass>@<host>/<path> right
away, but I'd imagine that we'd prefer to see fewer places on the
command line for users to leave the password that would end up in
their .bashrc and other places.

And I like the idea raised elsewhere in the thread to forward the
<pass> to credential helper and leave ":<pass>" part out of the
stored URL.

Thanks.